unit Alarm2_2_;

interface

uses
Windows, Messages, SysUtils, Variants, Classes, Graphics,
Controls, Forms, Dialogs, StdCtrls,
MMSYSTEM, // для доступа к PlaySound
Alarm2_1_; // для доступа к стартовой форме программы

type
  TForm2 = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.Button1Click(Sender: TObject);
begin
Form2.Hide; // скрыть окно с сообщением
Form1.Show; // сделать доступным главное окно
end;

procedure TForm2.FormActivate(Sender: TObject);
begin
Label1.Caption := Form1.Edit1.Text; // текст сообщения
PlaySound('tada.wav',0,SND_ASYNC); // звуковой сигнал
end;

end.
